#
# RPM spec file
# 
Summary: IBM Mapping Layer Software for MSI IPMI driver on Linux version 1.04
Name: ibmsp6c
Version: 1.04
Release: 2
Copyright: IBM
Group: IBM
URL: http://www.ibm.com
Distribution: All
Vendor: IBM
Packager: heimsoth@us.ibm.com
Source: ibmsp6c-src.tgz
Source2: README.TXT
#Requires: gcc msi_ipmi
Requires: gcc
Autoreq: 0
#Conflicts: ibmasm
ExclusiveArch: i386 i586 x86_64

%description
IBM Mapping Layer Software for MSI IPMI driver on Linux version 1.04

%prep
%setup -n ibmsp6c-src
cp $RPM_SOURCE_DIR/README.TXT .

%build
cd src
rm -f sp6api.o
rm -f libibmsp6.so
%ifarch x86_64
gcc -m32 -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -m32 -g -shared -Wl,-soname,libibmsp6.so.32.1 -L./ -lmsisp6 -o libibmsp6.so.32.1 sp6api.o -lc;
gcc -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -g -shared -Wl,-soname,libibmsp6.so.64.1 -L./ -lmsisp6 -o libibmsp6.so.64.1 sp6api.o -lc;
%endif
%ifarch i586
gcc -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -g -shared -Wl,-soname,libibmsp6.so.32.1 -L./ -lmsisp6 -o libibmsp6.so.32.1 sp6api.o -lc;
%endif
%ifarch i386
gcc -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -g -shared -Wl,-soname,libibmsp6.so.32.1 -L./ -lmsisp6 -o libibmsp6.so.32.1 sp6api.o -lc;
%endif


%install
install -m755 src/libibmsp6.so.32.1 /lib
%ifarch x86_64
install -m755 src/libibmsp6.so.64.1 /lib64
%endif

%files
%doc README.TXT
/lib/libibmsp6.so.32.1
%ifarch x86_64
/lib64/libibmsp6.so.64.1 
%endif

%post
ln -sf /lib/libibmsp6.so.32.1 /lib/libibmsp6.so
%ifarch x86_64
ln -sf /lib64/libibmsp6.so.64.1 /lib64/libibmsp6.so
%endif
/sbin/ldconfig

%preun

%postun
rm -rf /lib/libibmsp6*
%ifarch x86_64
rm -rf /lib64/libibmsp6*
%endif
